## org.eclipse.emf.transaction.impl
Class PrivilegedRunnable<T>

    java.lang.Object
      org.eclipse.emf.transaction.RunnableWithResult.Impl<T>
          org.eclipse.emf.transaction.impl.PrivilegedRunnable<T>

Type Parameters:
  `T` - the result type of the runnable

All Implemented Interfaces:
  Runnable, RunnableWithResult<T>

    public final class PrivilegedRunnable<T>

extends RunnableWithResult.Impl<T>

Implementation of the privileged runnable, which allows a thread to lend its transaction to another cooperating thread for synchronous execution.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.RunnableWithResult
`RunnableWithResult.Impl<T>`

Method Summary
`Thread` `getOwner()` Obtains the thread that created and owns me.
`Transaction` `getTransaction()` Obtains the transaction to which I provide access.
`void` `run()` Runs my delegate in the context of the transaction that I share.

Methods inherited from class org.eclipse.emf.transaction.RunnableWithResult.Impl
`getResult, getStatus, setResult, setStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTransaction

    public Transaction getTransaction()

  Obtains the transaction to which I provide access.

  Returns:
    my transaction

### getOwner

    public Thread getOwner()

  Obtains the thread that created and owns me. This thread is the original owner of my transaction.

  Returns:
    my owner

### run

    public void run()

  Runs my delegate in the context of the transaction that I share.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.